<?php

/**
 * Typography Settings
 *
 * @package dark_fitness
 */

$wp_customize->add_section(
	'dark_fitness_typography',
	array(
		'panel' => 'dark_fitness_theme_options',
		'title' => esc_html__( 'Typography Settings', 'dark-fitness' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'dark_fitness_site_title_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'dark_fitness_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'dark_fitness_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'dark-fitness' ),
		'section'  => 'dark_fitness_typography',
		'settings' => 'dark_fitness_site_title_font',
		'type'     => 'select',
		'choices'  => dark_fitness_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'dark_fitness_site_description_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'dark_fitness_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'dark_fitness_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'dark-fitness' ),
		'section'  => 'dark_fitness_typography',
		'settings' => 'dark_fitness_site_description_font',
		'type'     => 'select',
		'choices'  => dark_fitness_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'dark_fitness_header_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'dark_fitness_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'dark_fitness_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'dark-fitness' ),
		'section'  => 'dark_fitness_typography',
		'settings' => 'dark_fitness_header_font',
		'type'     => 'select',
		'choices'  => dark_fitness_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'dark_fitness_body_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'dark_fitness_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'dark_fitness_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'dark-fitness' ),
		'section'  => 'dark_fitness_typography',
		'settings' => 'dark_fitness_body_font',
		'type'     => 'select',
		'choices'  => dark_fitness_get_all_google_font_families(),
	)
);
